Bug 499125 - Review Request: glista - Simple personal to-do list manager or task tracking tool
Review Request: glista - Simple personal to-do list manager or task tracking ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 06:20 EDT by Christoph Wickert
Modified: 2009-05-21 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-05-05 06:20:47 EDT
Spec URL: http://cwickert.fedorapeople.org/review/glista.spec
SRPM URL: http://cwickert.fedorapeople.org/review/glista-0.4-1.fc11.src.rpm
Description: Glista aims to be a very simple personal to-do list manager or task tracking tool that does what it's supposed to, and does not get in your way. The main focus of Glista is on staying a very simple tool.

Glista is based on the Gtk+ graphical toolkit, which means it will integrate best with the GNOME desktop and other Gtk+ based desktop environments, but will also run well on other environments such as KDE.
Comment 1 Susi Lehtola 2009-05-05 08:21:04 EDT
rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. NEEDSFIX
- Remove commented Requires: line.
- %{buildroot} and $RPM_BUILD_ROOT are mixed, which is not allowed.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 Christoph Wickert 2009-05-05 08:48:25 EDT
All fixed:

* Tue May 05 2009 Christoph Wickert <cwickert@fedoraproject.otg> - 0.4-2
- Add autostart for GNOME
- Fix macros

http://cwickert.fedorapeople.org/review/glista.spec
http://cwickert.fedorapeople.org/review/glista-0.4-2.fc11.src.rpm
Comment 3 Susi Lehtola 2009-05-05 09:06:57 EDT
Okay, looks good,

APPROVED.
Comment 4 Christoph Wickert 2009-05-05 09:15:53 EDT
New Package CVS Request
=======================
Package Name: glista
Short Description: Simple personal to-do list manager or task tracking tool
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-05-06 17:13:36 EDT
cvs done.
Comment 6 Fedora Update System 2009-05-09 09:19:13 EDT
glista-0.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/glista-0.4-2.fc11
Comment 7 Fedora Update System 2009-05-09 09:19:29 EDT
glista-0.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/glista-0.4-2.fc10
Comment 8 Fedora Update System 2009-05-09 09:19:39 EDT
glista-0.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/glista-0.4-2.fc9
Comment 9 Fedora Update System 2009-05-11 23:56:39 EDT
glista-0.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glista'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4709
Comment 10 Fedora Update System 2009-05-12 00:02:19 EDT
glista-0.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glista'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4781
Comment 11 Fedora Update System 2009-05-12 00:07:11 EDT
glista-0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update glista'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4812
Comment 12 Fedora Update System 2009-05-21 19:23:24 EDT
glista-0.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-21 19:27:28 EDT
glista-0.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-21 19:29:50 EDT
glista-0.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.